General

PersonalNotepad ist a small notepad that can be quickly accessed via tray icon. It supports the most important foramatting features like different fonts, sizes, colors, fonts styles like bold, italics, underline and most important, it supports multiple notes organised via tabs.

Whenver you write something down your notes get saved whithout you having to care about filenames or where you store your notes.


text

Text Area

Use the textarea to write down notes as you would do it in you favorite editor.Using the buttons or key shortcuts described above you can format your notes.

Right clicking in the text area brings up the context menu giving you the following options:

Copy, Cut, Paste: The usual clipboard functions
Paste Text Only: This options pastes text into your note but removing all formatting options.
Bold, Italics, Underine, Font, Text Color, Fill Colot,
Bulleted, Numbered, Clear Style: These options have the same function as the formatting buttons described above.
Print: Opens the pring dialog and lets you print the selected note
Options: Opens the options screen (see below)
Minimize: Minimizes to program to the tray. by clicking on the tray icon you can restore the window again.
About: Program Info
Exit: Exit the program


format

Formatting the text

You can either use the buttons at the top to format your text or use certain key-shortcuts.

The buttons from left to right:

Bold, Italics, Underline, Text Color, Text Background (this only sets the text background color, not the edit-background. To change the notepad background color go to the options dialog), Text Font, Clear All Styles ( use this to get rid of all text- and paragraph styles), Bulleting, Numbering, Options, About, Help, Minimize, Close

Keyboard shortcuts:

Ctrl+Shift+B: Bold
Ctrl+Shift+I: Italics
Ctrl+Shift+U: Underline
Ctrl+Shift+1: Bulleting
Ctrl+Shift+2: Numbering

Depending on you OS the following styles are also available (unsupported):

Ctrl+Shift+,: scale font up
Ctrl+Shift+.: scale font down
Ctrl++: subscript
Ctrl+Shift++:superscript
Ctrl+Shift+a: uppercase
Ctrl+Shift+L: cycle bulleting style


Tabs

By right clicking in the tab area gives you can add a new tab. If you click directly on a given tab, you can additionally rename or delete that tab.


Options

Here you can set the overall background color of the notepad ( doesn't override the textbackground color ), the default textfont, the size and font of the tabs the following misc options:

  • Auto Format: this option enabled/disables the auto formatting described in the Autoformat chapter
  • Save after every keystrole: if this option is enabled, the notes get saved after each character pressed. If not, the notes get only saved when changing tabs or when the application looses the focus ( eg. after switching to another application)
  • Check for New Version On Startup: if this option is selected, the program checks whether a new version of Personal Notepad is available on the server. You must be connected to the internet to use this feature.
  • Show Buttons: use this option to enable/disable the formatting buttons in the titlebar
  • Show Tooltips: if this option is enabled, tooltips get displayed when hovering over the formatting buttons.


Autoformat

When autoformatting is enabled, certain character combinations toggle certain stlyes. The following styles are available:

.<space> | Bulleted
1.<space> | Numbering (Style: 1., 2., ...)
a.<space> | Numbering (Style: a., b., c., ...)
A.<space> | Numbering (Style: A., B., C., ...)
i.<space> | Numbering (Style: i., ii., iii., iv., ...)
I.<space> | Numbering (Style: I., II., III.,, IV., ...)


main

Personal Notepad

General
Text Area
Formatting
Tabs
Options
Autoformat